package com.iformall.service.invest;

import com.iformall.domain.dto.InvestDemandDto;
import com.iformall.domain.po.MallUserInfo;
import com.iformall.domain.po.invest.InvestMessageEntity;
import com.iformall.domain.po.invest.InvestTaskEntity;
import com.iformall.domain.vo.invest.*;

import java.util.Collection;
import java.util.List;

public interface InvestBizService {

	InvestPageResult<InvestDemandVo> queryPageDemand(InvestDemandQuery params);
	List<InvestDemandVo> queryCustomer();

	InvestPageResult<InvestTaskVo> queryPageTask(InvestTaskQuery params);

	InvestPageResult<InvestFollowRecordVo> queryPageFollowRecord(InvestFollowQuery params);

	InvestPageResult<InvestRemindVo> queryPageRemind(InvestRemindQuery params);

	InvestPageResult<InvestMessageEntity> queryPageMessage(InvestMessageQuery params) ;

	/**
	 * 获取招商用户
	 * @return
	 */
	Collection<MallUserInfo> queryUserList() ;

	boolean saveCustomerAndDemand(InvestDemandDto customerDemandDto) ;

	boolean updateCustomerAndDemand(InvestDemandDto customerDto) ;

	boolean saveTask(InvestTaskEntity investTaskEntity) ;

	boolean updateTask(InvestTaskEntity investTaskEntity) ;

	InvestDemandVo findDemandById(Long id) ;

	InvestTaskVo findTaskById(Long id) ;

	InvestRemindVo findRemindById(Long id) ;

	Collection<InvestOperateRecordVo> findOperateById(InvestOperateRecordQuery params) ;

	InvestFollowRecordVo findFollowRecordById(Long id) ;

}
